## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenPackageItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
                  org.eclipse.emf.codegen.ecore.genmodel.provider.GenPackageItemProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITreeItemContentProvider

    public class GenPackageItemProvider

extends GenBaseItemProvider
implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource

This is the item provider adapter for a `GenPackage` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
`GenBaseItemProvider.GenItemPropertyDescriptor, GenBaseItemProvider.UnderlayedImage`

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`GenPackageItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

Method Summary
`protected void` `addAdapterFactoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Adapter Factory feature
`protected void` `addBasePackagePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Base Package feature
`protected void` `addChildCreationExtendersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Child Creation Extenders feature
`protected void` `addClassPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Class Package Suffix feature
`protected void` `addContentTypeIdentifierPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Content Type Identifier feature
`protected void` `addDataTypeConvertersPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Data Type Converters feature
`protected void` `addDisposableProviderFactoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Disposable Provider Factory feature
`protected void` `addEcorePackagePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Ecore Package feature
`protected void` `addExtensibleProviderFactoryPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Extensible Provider Factory feature
`protected void` `addFileExtensionsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the File Extensions feature
`protected void` `addGenerateExampleClassPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Generate Example Class feature
`protected void` `addGenerateModelWizardPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Generate Model Wizard feature
`protected void` `addInterfacePackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Interface Package Suffix feature
`protected void` `addLiteralsInterfacePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Literals Interface feature
`protected void` `addLoadInitializationPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Load Initialization feature
`protected void` `addMetaDataPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Meta Data Package Suffix feature
`protected void` `addMultipleEditorPagesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Multiple Editor Pages feature
`protected void` `addPrefixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Prefix feature
`protected void` `addPresentationPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Presentation Package Suffix feature
`protected void` `addProviderPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Provider Package Suffix feature
`protected void` `addResourcePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Resource feature
`protected void` `addTestsPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Tests Package Suffix feature
`protected void` `addUtilityPackageSuffixPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Utility Package Suffix feature
`protected EStructuralFeature` `getChildFeature(java.lang.Object object, java.lang.Object child)`

`java.util.Collection<? extends EStructuralFeature>`

`getChildrenFeatures(java.lang.Object object)`
This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and `AddCommand` and `RemoveCommand` support in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

`java.lang.Object` `getImage(java.lang.Object object)` This implements `IItemLabelProvider.getImage` by returning null.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class
`java.lang.String` `getText(java.lang.Object object)` This returns the label text for the adapted class.
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.provider.GenBaseItemProvider
`canEdit, createItemPropertyDescriptor, getResourceLocator`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### GenPackageItemProvider

    public GenPackageItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `GenBaseItemProvider`

### addPrefixPropertyDescriptor

    protected void addPrefixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Prefix feature.

### addBasePackagePropertyDescriptor

    protected void addBasePackagePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Base Package feature.

### addResourcePropertyDescriptor

    protected void addResourcePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Resource feature.

### addDisposableProviderFactoryPropertyDescriptor

    protected void addDisposableProviderFactoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Disposable Provider Factory feature.

### addAdapterFactoryPropertyDescriptor

    protected void addAdapterFactoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Adapter Factory feature.

### addLoadInitializationPropertyDescriptor

    protected void addLoadInitializationPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Load Initialization feature.

### addInterfacePackageSuffixPropertyDescriptor

    protected void addInterfacePackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Interface Package Suffix feature.

### addMetaDataPackageSuffixPropertyDescriptor

    protected void addMetaDataPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Meta Data Package Suffix feature.

### addClassPackageSuffixPropertyDescriptor

    protected void addClassPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Class Package Suffix feature.

### addUtilityPackageSuffixPropertyDescriptor

    protected void addUtilityPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Utility Package Suffix feature.

### addProviderPackageSuffixPropertyDescriptor

    protected void addProviderPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Provider Package Suffix feature.

### addPresentationPackageSuffixPropertyDescriptor

    protected void addPresentationPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Presentation Package Suffix feature.

### addTestsPackageSuffixPropertyDescriptor

    protected void addTestsPackageSuffixPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Tests Package Suffix feature.

### addGenerateExampleClassPropertyDescriptor

    protected void addGenerateExampleClassPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Generate Example Class feature.

### addLiteralsInterfacePropertyDescriptor

    protected void addLiteralsInterfacePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Literals Interface feature.

### addDataTypeConvertersPropertyDescriptor

    protected void addDataTypeConvertersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Data Type Converters feature.

### addMultipleEditorPagesPropertyDescriptor

    protected void addMultipleEditorPagesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Multiple Editor Pages feature.

### addGenerateModelWizardPropertyDescriptor

    protected void addGenerateModelWizardPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Generate Model Wizard feature.

### addExtensibleProviderFactoryPropertyDescriptor

    protected void addExtensibleProviderFactoryPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Extensible Provider Factory feature.

### addChildCreationExtendersPropertyDescriptor

    protected void addChildCreationExtendersPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Child Creation Extenders feature.

### addContentTypeIdentifierPropertyDescriptor

    protected void addContentTypeIdentifierPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Content Type Identifier feature.

### addFileExtensionsPropertyDescriptor

    protected void addFileExtensionsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the File Extensions feature.

### addEcorePackagePropertyDescriptor

    protected void addEcorePackagePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Ecore Package feature.

### getChildFeature

    protected EStructuralFeature getChildFeature(java.lang.Object object,
                                                 java.lang.Object child)

  Overrides:
    `getChildFeature` in class `GenBaseItemProvider`

### getChildrenFeatures

    public java.util.Collection<? extends EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `ItemProviderAdapter.getChildren(java.lang.Object)` and `AddCommand` and `RemoveCommand` support in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class<? extends org.eclipse.emf.common.command.Command>, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `GenBaseItemProvider`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Description copied from class: `ItemProviderAdapter`
  This implements `IItemLabelProvider.getImage` by returning null. Most things really should have an icon, but not having one is technically correct too.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  Overrides:
    `getImage` in class `ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  Overrides:
    `getText` in class `GenBaseItemProvider`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Overrides:
    `notifyChanged` in class `GenBaseItemProvider`
  Parameters:
    `notification` - a description of the change.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.